[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Configure OpenLDAP 2.2.19 with Berkeley 4.3.21 on Solaris

--On Tuesday, December 14, 2004 2:25 PM -0500 Reinhard Nappert <rnappert@juniper.net> wrote:


I built Berkeley 4.3.21 and installed it in /usr/local/BerkeleyDB. I
added "/usr/local/BerkeleyDB" to my LD_LIBRARY_PATH environment.
Now, I want to configure OpenLDAP.

I highly recommend using BDB 4.2.52 + patches instead of BDB 4.3.21 in general, and especially with Solaris. It is at *least* 10% slower on Solaris when configured the same way as 4.2. It is also very buggy, and on Solaris it links against -lrt, which means you need to pass in extra parameters to configure for OpenLDAP that everyone who has answered you has missed if you want it to compile.


Quanah Gibson-Mount
Principal Software Developer
ITSS/Shared Services
Stanford University
GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html